POPAUTH(8)

NAME
poppassd -- password-changing daemon

SYNOPSIS
poppassd [ -? ] [ -d ] [ -l tls-usage ]
[ -p [ passwd-path ] ] [ -R ]
[ -s [ smbpasswd-path ] ] [ -v ]
[ -y log-facility ]

DESCRIPTION
poppassd is a server that allows users to change their system or smb passwords using a network client (such as Eudora). Actually, poppassd is a proxy for the system's passwd and/or smbpasswd programs, and can be configured to run any one or two such programs.

OPTIONS

-?  Prints a summary of options and exits.

-d  Turns on debug tracing. Trace output is logged using syslog; the default log facility is local2, but can be changed using the -y option.

-l  tls-usage
    Sets TLS/SSL handling. Must have compiled with OpenSSL or SSL Plus. 0 is the default. TLS/SSL is not supported. 1 enables the STLS command. This permits a client to attempt TLS/SSL negotiation after connecting. 2 Causes Qpopper to attempt TLS negotiation when a client first connects. This is for alternate-port support.

-p  [  passwd-path  ]
    Instructs poppassd to change the system password (which is the default) and optionally specifies the path to the executable to use. The default is /usr/bin/passwd.

-R  Disables the reverse DNS lookup normally done on the client IP address.

-s  [  smbpasswd-path  ]
    Instructs poppassd to change the smb password and optionally specifies the path to the executable to use. The default is /usr/bin/smbpasswd. If this option is used, poppassd by default does not also change the system password. To change both, use this option and the -p option.

-t tracefile
    Turns on debug tracing, and causes all trace and log output to be written to the file specified as tracefile.

-v  Prints the version and exits.

-y log-facility
    Specifies the log facility to use. Values can be mail or local0 through local7.

FILES

/usr/bin/passwd password-change program

/usr/bin/smbpasswd smb password-change program

SEE ALSO
popper(8), popauth(8), inetd(8), inetd.conf(4)